

Avoid a possible timer deletion race.



---

 drivers/base/firmware_class.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/base/firmware_class.c~request_firmware-del_timer-fix drivers/base/firmware_class.c
--- 25/drivers/base/firmware_class.c~request_firmware-del_timer-fix	2004-01-22 02:58:45.000000000 -0800
+++ 25-akpm/drivers/base/firmware_class.c	2004-01-22 02:58:50.000000000 -0800
@@ -361,7 +361,7 @@ request_firmware(const struct firmware *
 
 	wait_for_completion(&fw_priv->completion);
 
-	del_timer(&fw_priv->timeout);
+	del_timer_sync(&fw_priv->timeout);
 	fw_remove_class_device(class_dev);
 
 	if (fw_priv->fw->size && !fw_priv->abort) {

_
